curl --request POST \
--url https://sbx.api.easybilling.cloud/billing/api/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'trace-id: <trace-id>' \
--data '
{
"paymentGatewayType": "stripe-connect",
"customerIdentifier": "ACC-0000000001",
"redirectUrl": "https://example.com/payment/success",
"cancelUrl": "https://example.com/payment/cancel"
}
'"https: //checkout.stripe.com/c/pay/cs_test_c1h2noxV4xUjSVfLNUkXcW5TlXiQy2TFzA7Hmh2DYHKqe2FSOYtINg9RMw#fidnandhYHdWcXxpYCc%2FJ2FgY2RwaXEnKSdicGRmZGhqaWBTZHdsZGtxJz8nZmprcXdqaScpJ3Zxd2x1YERmZmpwa3EnPydkZmZxWjRWb19vf0NSNUxSR2A1bU4nKSdkdWxOYHwnPyd1blpxYHZxWjA0Vkt0fVQ2U0hHc11DQEdmajRxQG02MERiYkZ0dTM1PEB1RHVMREdkSGZLakE1f05qMlxQNzBVaW5zPWxXc0F1dV1xPUFXT0tkc1xQbDJ1SlY2SE9pYFBXNTV9QmFTdGBBYicpJ2N3amhWYHdzYHcnP3F3cGApJ2dkZm5id2pwa2FGamlqdyc%2FJyZjY2NjY2MnKSdpZHxqcHFRfHVgJz8ndmxrYmlgWmZqaXBoaycpJ2BrZGdpYFVpZGZgbWppYWB3dic%2FcXdwYHgl"Preset payment method
Set up a payment method for a customer on the selected payment gateway and returns the gateway-hosted setup page URL.
The request body is polymorphic and is selected by paymentGatewayType.
curl --request POST \
--url https://sbx.api.easybilling.cloud/billing/api/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'trace-id: <trace-id>' \
--data '
{
"paymentGatewayType": "stripe-connect",
"customerIdentifier": "ACC-0000000001",
"redirectUrl": "https://example.com/payment/success",
"cancelUrl": "https://example.com/payment/cancel"
}
'"https: //checkout.stripe.com/c/pay/cs_test_c1h2noxV4xUjSVfLNUkXcW5TlXiQy2TFzA7Hmh2DYHKqe2FSOYtINg9RMw#fidnandhYHdWcXxpYCc%2FJ2FgY2RwaXEnKSdicGRmZGhqaWBTZHdsZGtxJz8nZmprcXdqaScpJ3Zxd2x1YERmZmpwa3EnPydkZmZxWjRWb19vf0NSNUxSR2A1bU4nKSdkdWxOYHwnPyd1blpxYHZxWjA0Vkt0fVQ2U0hHc11DQEdmajRxQG02MERiYkZ0dTM1PEB1RHVMREdkSGZLakE1f05qMlxQNzBVaW5zPWxXc0F1dV1xPUFXT0tkc1xQbDJ1SlY2SE9pYFBXNTV9QmFTdGBBYicpJ2N3amhWYHdzYHcnP3F3cGApJ2dkZm5id2pwa2FGamlqdyc%2FJyZjY2NjY2MnKSdpZHxqcHFRfHVgJz8ndmxrYmlgWmZqaXBoaycpJ2BrZGdpYFVpZGZgbWppYWB3dic%2FcXdwYHgl"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
Preset payment method request for Stripe Connect
Gateway type discriminator. Fixed value stripe-connect
stripe-connect "stripe-connect"
Unique customer identifier used to query or create a gateway customer. When Billing is used, this is the accountNumber
"ACC-0000000001"
Redirect URL after setup is completed
"https://example.com/payment/success"
Stripe-only required field. Redirect URL when the user cancels setup on Stripe.
"https://example.com/payment/cancel"
Response
Success; returns the payment method setup page URL
Gateway-provided redirect URL to the setup page
